@import "src/theme/theme-variables";

.main-button {
  font-weight: 600;
  font-size: 1rem;
  font-family: $font-family;
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: $box-shadow;
  width: 100%;
  height: 42px;
  position: relative;

  &__success {
    background: #46a86c !important;
    color:#fff;
  }

  &__failed {
    background: #e55c5b !important;
    color:#fff;

  }

  & .progress {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) !important;

    &::ng-deep circle {
      stroke: #fff;
    }
  }

  & mat-icon {
    margin-left: 5px;
  }
}
